-- *******************************************************
-- Detection Phase for software required by the driver
-- *******************************************************
IsMsXML60Installed = false;
IsXPSSupportInstalled = false;

-- KCF: Detect if MSXML version 6 is installed

IsMsXML60Installed = File.DoesExist(_SystemFolder.."\\msxml6.dll");
if IsMsXML60Installed then
	IsWinInstallerVersionOK = true;
end	 

-- Detect if the XPS support files are present.  These might have been installed from the 
-- XPS Essentials pack or they might have been installed as part of a .NET framework install.
-- Either way, look for one of the XPS core files.

if (System.Is64BitOS()) then
	OSDriverFolder = "x64";
else
	OSDriverFolder = "w32x86";
end	

if (File.DoesExist(_SystemFolder.."\\spool\\drivers\\"..OSDriverFolder.."\\3\\mxdwdrv.dll")) then
	IsXPSSupportInstalled = true;
else	
	IsXPSSupportInstalled = false;
end

